
#include <stdio.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <rtems/rtems_bsdnet.h>

#define CONFIGURE_INIT
#include "system.h"
#include "netconfig.h"

/* external function prototypes */
extern rtems_task ppp_main(rtems_task_argument argument);


rtems_task Init(rtems_task_argument argument)
{
  rtems_status_code   status;
  rtems_id            taskId;
  rtems_name          taskName;

  taskName = rtems_build_name( 'p', 'p', 'p', 'd' );
  status   = rtems_task_create(taskName,
                               CONFIGURE_INIT_TASK_PRIORITY,
                               CONFIGURE_INIT_TASK_STACK_SIZE,
                               CONFIGURE_INIT_TASK_INITIAL_MODES,
                               RTEMS_DEFAULT_ATTRIBUTES,
                               &taskId);
  if ( status == RTEMS_SUCCESSFUL ) {
    status = rtems_task_start(taskId, ppp_main, 0);
  }

  /* check return status */
  if ( status == RTEMS_SUCCESSFUL ) {
    /* initialize network */
    status = rtems_bsdnet_initialize_network();
    if ( status == RTEMS_SUCCESSFUL ) {
      printf("init: network initialized\n");
    }
  }

  rtems_task_delete(RTEMS_SELF);
}
