
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "system.h"

/* external globbal pppd option variables */
extern char      devnam[];
extern char      hostname[];
extern int       debug;
extern int       modem;
extern int       crtscts;
extern int       inspeed;
extern int       persist;
extern int       demand;
extern u_int32_t netmask;

/* external function prototypes */
extern void pppasyncattach(void);
extern int  pppdmain(int, char **);


void pppinit(void)
{
  struct in_addr      addr;

  /* setup ppp line discipline */
  pppasyncattach();

  /* initialize device settings */
  strcpy(devnam, "/dev/ttyS1");
  inspeed = B57600;
  crtscts = 1;
  modem   = 0;
  debug   = 0;

  /* set network addresses */
  inet_aton("255.255.255.0", &addr);
  netmask = addr.s_addr;

  /* initialize ppp settings */
  strcpy(hostname, "rtems");
  demand  = 0;
  persist = 0;
}

rtems_task ppp_main(rtems_task_argument argument)
{
  printf("\n\n*** PPP MAIN ***\n");

  /* set values and call pppd main */
  pppinit();
  pppdmain(0, (char **)0);

  /* kill self */
  rtems_task_delete(RTEMS_SELF);
}
